Bug 389091 - Canon cameras: io-library: Could not claim the USB device
Canon cameras: io-library: Could not claim the USB device
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
: 367801 426762 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 21:46 EST by Robert Staaf
Modified: 2015-05-11 08:24 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:15:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rstaaf: fedora_requires_release_note-
rstaaf: needinfo-
rstaaf: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Robert Staaf 2007-11-17 21:46:31 EST
Description of problem:
Will not mount Cannon PowerShot A630 Camera via USB.  USB flash drives work
fine, SD card from camera is mounted fine via USB adapter.  The following error
is displayed in the Import Photos dialog of gthumb.

"An error occurred in the io-library ('Could not claim the USB device'):
Could not claim interface 0 (Operation not permitted). Make sure no
other program or kernel module (such as sdc2xx, stv680, spca50x) is
using the device and you have read/write access to the device."


Version-Release number of selected component (if applicable):
gthumb-2.10.7-1.fc7

How reproducible:
Occurs every time I connect camera via USB

Steps to Reproduce:
1.
2.
3.
  
Actual results:

"An error occurred in the io-library ('Could not claim the USB device'):
Could not claim interface 0 (Operation not permitted). Make sure no
other program or kernel module (such as sdc2xx, stv680, spca50x) is
using the device and you have read/write access to the device."

Expected results:

It should mount camera and display images from SD card within camera.  The SD
card works fine via a USB adapter so the problem has to be with the camera.

Additional info:

This camera has worked fine with F7 for quite some time.  I am assuming a recent
update is causing this issue...
Comment 1 Gustavo Maciel Dias Vieira 2007-11-24 07:54:20 EST
Same problem here, but with a Canon PowerShot A510. Exactly the same error
messages. Also, this has been working perfectly for a long time. I can't place
exactly when it stopped working, just noticed it today.
Comment 2 Mario Pascucci 2007-12-10 16:47:15 EST
Same problem with Canon EOS350D. From root works fine, from regular user gthumb
shows the above error.
If you change permission of device in /dev/bus/usb to 666 it works fine. 
As I can see, it worked at least until october 29, 2007, last date when I
imported photos from my camera.
Comment 3 Ricky Ng-Adam 2007-12-28 12:38:49 EST
Same problem with Canon SD850IS and Fedora 8 with latest updates as of December
27th 2007. 

Changing the permissions of /dev/bus/usb doesn't seem to help on my setup so I
don't have a workaround. 

Could the reporter/assignee bump this from low to medium/high severity, change
summary to "Canon cameras: io-library: Could not claim the USB device" and
update version to Fedora 8?

Bug #426762 seems similar, except it was for the Kodak EasyShare and got fixed
for Fedora 8?
Comment 4 Jobst Hoffmann 2007-12-30 07:43:42 EST
I would appreciate comment #3 very much, because my Canon PowerShot S60 shows
the same problem
Comment 5 Scott Griffin 2007-12-30 20:31:55 EST
I am having this problem with Fedora7 however I am unable to install Fedora8 due
to kernel panics.

I have opened a bug ticket on the kernel in Fedora8, hopefully I will hear
something about what changed in the F8 release to the kernel to make it so
different than F7.

Thanks,
Scott Griffin
Comment 6 Chuck Ebbert 2008-01-02 19:14:30 EST
*** Bug 426762 has been marked as a duplicate of this bug. ***
Comment 7 Gustavo Maciel Dias Vieira 2008-01-05 16:32:41 EST
I can confirm this bug is still present in F8.

Also, bug #367801 seems to be a duplicate.
Comment 8 Jon Stanley 2008-01-05 17:07:20 EST
I'm working on the bug triage project, and I've made the changes requested in
comment #3. It seems as though this problem could be fixed with udev.  Let me
dig up a USB cable for my Rebel XTi and I'll do some testing.
Comment 9 Jon Stanley 2008-01-05 17:09:07 EST
*** Bug 367801 has been marked as a duplicate of this bug. ***
Comment 10 Jon Stanley 2008-01-05 17:49:01 EST
Well, an XTi (400D) works well here.  I plugged in the camera, and got the 'a
camera was detected' message.  Clicked on import, and at first, it told me that
there was no camera, but then finally loaded the driver for it and imported all
of the pictures off it.  I can't say that I'm sure *how* it works, since root is
the only user that has rw to the USB devices (altbough really read should work
for the purposes of gThumb):

[root@localhost ~]# ls -lR /dev/bus/usb/
/dev/bus/usb/:
total 0
drwxr-xr-x 2 root root 60 2008-01-05 17:28 001
drwxr-xr-x 2 root root 80 2008-01-05 17:16 002
drwxr-xr-x 2 root root 60 2008-01-02 22:27 003
drwxr-xr-x 2 root root 60 2008-01-02 22:27 004
drwxr-xr-x 2 root root 60 2008-01-02 22:27 005

/dev/bus/usb/001:
total 0
crw-r--r-- 1 root root 189, 0 2008-01-02 22:27 001

/dev/bus/usb/002:
total 0
crw-r--r-- 1 root root 189, 128 2008-01-02 22:27 001
crw-r--r-- 1 root root 189, 130 2008-01-05 17:16 003

/dev/bus/usb/003:
total 0
crw-r--r-- 1 root root 189, 256 2008-01-02 22:27 001

/dev/bus/usb/004:
total 0
crw-r--r-- 1 root root 189, 384 2008-01-02 22:27 001

/dev/bus/usb/005:
total 0
crw-r--r-- 1 root root 189, 512 2008-01-02 22:27 001
[root@localhost ~]# 

Comment 11 Christopher Brown 2008-02-13 17:57:22 EST
Hi folks,

Not sure if the following would help but you could give it a try:

http://ubuntuforums.org/showthread.php?t=425940

The rule indicates it is for udev < 0.9 but perhaps this has not been resolved
and when re-added fixes things for you. See how you go and update this bug.

Cheers
Chris
Comment 12 Chris Spencer 2008-02-14 00:15:08 EST
Thanks, it now works for me.
Comment 13 Vegard Lima 2008-02-14 10:58:38 EST
The link in comment #11 suggests editing /etc/udev/rules.d/45-libgphoto2.rules:

$ rpm -qif /etc/udev/rules.d/45-libgphoto2.rules
error: file /etc/udev/rules.d/45-libgphoto2.rules: No such file or directory

Huh?
Comment 14 Christopher Brown 2008-02-14 18:05:04 EST
(In reply to comment #13)
> The link in comment #11 suggests editing /etc/udev/rules.d/45-libgphoto2.rules:
> 
> $ rpm -qif /etc/udev/rules.d/45-libgphoto2.rules
> error: file /etc/udev/rules.d/45-libgphoto2.rules: No such file or directory
> 
> Huh?

You'll need to create the file as no package currently creates it, hence your
problem.

I'll re-assign this to the gphoto bods for their input, though might be a udev
issue.

Comment 15 Jobst Hoffmann 2008-02-16 09:22:38 EST
Just for the sake of completeness: for my system

]# uname -a
Linux doityourselfII 2.6.23.15-137.fc8 #1 SMP Sun Feb 10 17:03:13 EST 2008
x86_64 x86_64 x86_64 GNU/Linux

and my camera 

canon powershot s60

the problem still exists after applying the recommended changes
Comment 16 Jindrich Novy 2008-02-17 01:07:29 EST
Adding Harald to Cc, he's the current udev maintainer. I personally don't see a
problem in adding the rules file into gphoto2, but it might exist a better
solution and comment #15 shows it's not a general fix anyway.
Comment 17 Harald Hoyer 2008-02-18 06:47:37 EST
/usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi should be
extended, IIRC.
Comment 18 Harald Hoyer 2008-02-18 06:48:18 EST
Permissions to the console user are granted through ACLs by HAL via PolicyKit.
Comment 19 Gustavo Maciel Dias Vieira 2008-07-28 13:03:32 EDT
This is fixed in F9.
Comment 20 Gustavo Maciel Dias Vieira 2008-08-13 14:33:40 EDT
My mistake. The bug *is* still present in F9.

For some reason, it worked once and then stopped working. Same error message, same problem.
Comment 21 Jesus M. Rodriguez 2008-09-19 20:55:07 EDT
(In reply to comment #4)
> I would appreciate comment #3 very much, because my Canon PowerShot S60 shows
> the same problem

My Canon PowerShot S60 shows the same problem as well.

gthumb-2.10.8-3.fc9.x86_64
fedora-release-9-5.transition.noarch
gphoto2-2.4.0-10.fc9.x86_64
Comment 22 Paul Coccoli 2008-09-23 22:45:40 EDT
I've been having similar problems with an A510.  I noticed this:

[paul@boon ~]$ gphoto2 --list-cameras | grep A510
        "Canon PowerShot A510 (normal mode)"
        "Canon PowerShot A510 (PTP mode)"


Supposedly there are two modes.  My camera is showing up as "normal mode," which I take to be Canon's proprietary mode:

[paul@boon ~]$ gphoto2 --auto-detect
Model                          Port                                            
----------------------------------------------------------
Canon PowerShot A510 (normal mode) usb:    


Specifying the model with PTP mode makes gphoto work:

[paul@boon ~]$ gphoto2 --camera="Canon PowerShot A510 (PTP mode)" --get-all-files


I'm not sure it's relevant.  Is it possible that libgphoto is using the wrong mode?
Comment 23 Bug Zapper 2008-11-26 03:33:01 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Bug Zapper 2009-01-09 00:15:47 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 25 Robert Staaf 2015-05-11 08:24:45 EDT
Please delete, close, whatever needs to be done with this report.  I have NOT used Red Hat for years.  Not sure why I have been getting this notification for years when it has a status of CLOSED...

Note You need to log in before you can comment on or make changes to this bug.